Last Comment Bug 712286 - Tilt continues rotating without any keyboard or mouse actions
: Tilt continues rotating without any keyboard or mouse actions
Status: VERIFIED FIXED
[tilt]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 12
Assigned To: Victor Porof [:vporof][:vp]
:
Mentors:
Depends on:
Blocks: 712472
  Show dependency treegraph
 
Reported: 2011-12-20 06:21 PST by Trif Andrei-Alin[:AlinT]
Modified: 2012-01-17 23:49 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (1.53 KB, patch)
2011-12-21 03:42 PST, Victor Porof [:vporof][:vp]
no flags Details | Diff | Splinter Review
v2 (5.26 KB, patch)
2011-12-22 02:53 PST, Victor Porof [:vporof][:vp]
rcampbell: review+
Details | Diff | Splinter Review

Description Trif Andrei-Alin[:AlinT] 2011-12-20 06:21:42 PST
Mozilla/5.0 (Windows NT 6.1; rv:11.0a1) Gecko/20111219 Firefox/11.0a1

Steps to reproduce:
1.go to any website(ex: http://www.google.com )
2.Right click inspect element and click 3D(M) button
3.Hold the W button and hit slash ( / ) button, then release both.

Expected results:
The element should stop rotating

Actual results:
The elements continues rotating until you hit ESC.

*Note: It can be reproduced using any of the rotating button:A,W,S,D and the quickfind button ( / ).
Comment 1 Trif Andrei-Alin[:AlinT] 2011-12-20 06:26:59 PST
http://www.screencast.com/t/kRmxYeng screencast of the issue.
Also the rotating can be stopped by hitting the same button you help to start it.
Comment 2 Victor Porof [:vporof][:vp] 2011-12-21 03:42:30 PST
Created attachment 583445 [details] [diff] [review]
v1
Comment 3 Rob Campbell [:rc] (:robcee) 2011-12-21 05:26:37 PST
Comment on attachment 583445 [details] [diff] [review]
v1

can we have a test?
Comment 4 Victor Porof [:vporof][:vp] 2011-12-22 02:53:49 PST
Created attachment 583750 [details] [diff] [review]
v2
Comment 5 Rob Campbell [:rc] (:robcee) 2011-12-22 08:46:11 PST
Comment on attachment 583750 [details] [diff] [review]
v2

yay!
Comment 6 Rob Campbell [:rc] (:robcee) 2011-12-22 11:19:40 PST
https://hg.mozilla.org/integration/fx-team/rev/4977e7769af8
Comment 7 Tim Taubert [:ttaubert] 2011-12-29 09:38:31 PST
https://hg.mozilla.org/mozilla-central/rev/4977e7769af8
Comment 8 Trif Andrei-Alin[:AlinT] 2012-01-17 23:49:18 PST
QA Verified on Firefox 12.

Note You need to log in before you can comment on or make changes to this bug.